ByronHsu/life-commit 软件分析报告

基础信息

项目名称:ByronHsu/life-commit

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1721023408120004608/1721023408161947648

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
Joyent Node.js is-my-json-valid 拒绝服务漏洞 拒绝服务 MPS-2016-1001 CVE-2016-2537 高危
Joyent Node.js tough-cookie模块安全漏洞 拒绝服务 MPS-2017-11145 CVE-2017-15010 高危
merge package 拒绝服务漏洞 拒绝服务 MPS-2018-14306 CVE-2018-16469 高危
Hoek 访问控制错误漏洞 MAID MPS-2018-3882 CVE-2018-3728 高危
debug 模块拒绝服务漏洞 拒绝服务 MPS-2018-7210 CVE-2017-16137 中危
sshpk 安全漏洞 不正确的正则表达式 MPS-2018-7302 CVE-2018-3737 高危
lodash node 拒绝服务漏洞 拒绝服务 MPS-2018-7315 CVE-2018-3721 中危
extend module 输入验证错误漏洞 原型污染 MPS-2018-8705 CVE-2018-3750 严重
lodash 存在拒绝服务漏洞 拒绝服务 MPS-2019-1228 CVE-2018-16487 中危
extend module [*, 2.0.2)、[3.0.0, 3.0.2) 原型污染漏洞 注入 MPS-2019-1232 CVE-2018-16492 严重
handlebars 原型污染漏洞 原型污染 MPS-2019-16888 CVE-2019-19919 严重
node-tar [, 2.2.2)、[3.0.0, 4.4.2) 任意文件覆盖漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2019-4705 CVE-2018-20834 高危
Axios XML实体扩展 MPS-2019-4913 CVE-2019-10742 高危
fstream 在文件访问前对链接解析不恰当(链接跟随) MPS-2019-7423 CVE-2019-13173 高危
lodash 不加限制或调节的资源分配 MPS-2019-8123 CVE-2019-1010266 中危
lodash 原型污染漏洞 拒绝服务 MPS-2019-8636 CVE-2019-10744 严重
Ajv v6.12.2 输入验证错误漏洞 MAID MPS-2020-10525 CVE-2020-15366 中危
codecov-node 操作系统命令注入漏洞 OS命令注入 MPS-2020-10705 CVE-2020-15123 严重
Codecov NodeJs Uploader 注入漏洞 注入 MPS-2020-1229 CVE-2020-7596 高危
handlebars 代码注入漏洞 代码注入 MPS-2020-13732 CVE-2019-20920 高危
handlebars 安全漏洞 不可达退出条件的循环(无限循环) MPS-2020-13734 CVE-2019-20922 高危
lodash 原型污染 MPS-2020-15679 CVE-2020-8203 高危
Axios 服务器端请求伪造漏洞 SSRF MPS-2020-16365 CVE-2020-28168 中危
Mhart Stringstream 越界读取 MPS-2020-16658 CVE-2018-21270 中危
dot-prop 原型污染漏洞 原型污染 MPS-2020-1734 CVE-2020-8116 高危
Yargs Y18n 输入原型污染漏洞 动态确定对象属性修改的控制不恰当 MPS-2020-17543 CVE-2020-7774 严重
Ini 拒绝服务 MPS-2020-17544 CVE-2020-7788 高危
Mikaelbr Node-notifier 操作系统命令注入漏洞 OS命令注入 MPS-2020-17637 CVE-2020-7789 中危
codecov-node npm module 操作系统命令注入漏洞 OS命令注入 MPS-2020-2560 CVE-2020-7597 高危
minimist 原型污染漏洞 原型污染 MPS-2020-3516 CVE-2020-7598 中危
yargs-parser 原型污染漏洞 特权定义了不安全动作 MPS-2020-4006 CVE-2020-7608 中危
yeikos js.merge 原型污染 MPS-2021-1900 CVE-2020-28499 严重
jsonpointer 使用不兼容类型访问资源(类型混淆) MPS-2021-19846 CVE-2021-23807 严重
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
Npm Node-tar 后置链接漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-28486 CVE-2021-37701 高危
Npm Node-tar 后置链接漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-28488 CVE-2021-37712 高危
node-tar 路径遍历漏洞 路径遍历 MPS-2021-28489 CVE-2021-37713 高危
Axios 拒绝服务漏洞 拒绝服务 MPS-2021-30688 CVE-2021-3749 高危
Ruy Adorno hosted-git-info 正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-3400 CVE-2021-23362 中危
Async 原型污染漏洞 原型污染 MPS-2021-34434 CVE-2021-43138 高危
json-schema 安全漏洞 原型污染 MPS-2021-34478 CVE-2021-3918 严重
Npm is-my-json-valid 资源管理错误漏洞 拒绝服务 MPS-2021-3563 CVE-2018-1107 中危
braces 拒绝服务 MPS-2021-3692 CVE-2018-1109 中危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
handlebars 远程代码执行 (RCE) 漏洞 代码注入 MPS-2021-4548 CVE-2021-23369 严重
npm path-parse 安全漏洞 拒绝服务 MPS-2021-6165 CVE-2021-23343 高危
handlebars 原型污染 MPS-2021-6180 CVE-2021-23383 严重
trim-newlines 存在拒绝服务漏洞 拒绝服务 MPS-2021-7398 CVE-2021-33623 高危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
shelljs 权限管理不当 MPS-2022-0508 CVE-2022-0144 高危
follow-redirects 侵犯隐私 MPS-2022-0815 CVE-2022-0155 中危
content-type-parser 存在拒绝服务漏洞 拒绝服务 MPS-2022-12872 中危
diff 存在拒绝服务漏洞 拒绝服务 MPS-2022-12883 高危
eslint 存在拒绝服务漏洞 拒绝服务 MPS-2022-12908 低危
mem 拒绝服务 MPS-2022-12990 中危
nwmatcher 存在拒绝服务漏洞 拒绝服务 MPS-2022-13039 低危
handlebars 存在原型污染漏洞 MAID MPS-2022-13730 高危
handlebars 存在原型污染漏洞 MAID MPS-2022-13731 高危
handlebars 存在拒绝服务漏洞 拒绝服务 MPS-2022-13732 高危
handlebars 存在代码注入漏洞 代码注入 MPS-2022-13733 高危
handlebars 存在拒绝服务漏洞 拒绝服务 MPS-2022-13734 严重
handlebars 拒绝服务 MPS-2022-13735 中危
is-my-json-valid 存在拒绝服务漏洞 拒绝服务 MPS-2022-13795 高危
is-my-json-valid 代码注入 MPS-2022-13796 高危
istanbul-reports 通过 window.opener 访问使用指向不受信任目标的 Web 链接 MPS-2022-13797 中危
jsonpointer 拒绝服务 MPS-2022-13815 严重
js-yaml 存在拒绝服务漏洞 拒绝服务 MPS-2022-13820 中危
js-yaml 代码注入 MPS-2022-13822 高危
lodash 拒绝服务 MPS-2022-13841 高危
lodash 拒绝服务 MPS-2022-13842 高危
merge 拒绝服务 MPS-2022-13875 高危
uglify-js ReDoS MPS-2022-14112 中危
got 存在打开重定向漏洞 跨站重定向 MPS-2022-19247 CVE-2022-33987 中危
follow-redirects 未授权敏感信息泄露 MPS-2022-3636 CVE-2022-0536 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
hawk 资源管理错误漏洞 拒绝服务 MPS-2022-8568 CVE-2022-29167 高危
debug 安全漏洞 ReDoS MPS-2023-0646 CVE-2017-20165 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
fsevents 安全漏洞 代码注入 MPS-2ipy-muq0 CVE-2023-45311 严重
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
is-my-json-valid 2.16.0 2.20.3 间接依赖 建议修复
js-yaml 3.9.1 3.13.1 间接依赖 建议修复
dot-prop 4.1.1 4.2.1 间接依赖 建议修复
minimist 0.0.8 1.2.6 间接依赖 建议修复
qs 6.4.0 6.4.1 间接依赖 建议修复
debug 2.6.8 2.6.9 间接依赖 建议修复
extend 3.0.1 3.0.2 间接依赖 建议修复
jsonpointer 4.0.1 5.0.0 间接依赖 建议修复
tough-cookie 2.3.2 4.1.3 间接依赖 建议修复
minimist 1.2.0 1.2.6 间接依赖 建议修复
y18n 3.2.1 3.2.2 间接依赖 建议修复
path-parse 1.0.5 1.0.7 间接依赖 建议修复
fstream 1.0.11 1.0.12 间接依赖 建议修复
json5 0.5.1 1.0.2 间接依赖 建议修复
minimatch 3.0.3 3.0.5 间接依赖 建议修复
json-schema 0.2.3 0.4.0 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
trim-newlines 2.0.0 3.0.1 间接依赖 建议修复
glob-parent 2.0.0 5.1.2 间接依赖 建议修复
ini 1.3.4 1.3.6 间接依赖 建议修复
hoek 2.16.3 4.2.1 间接依赖 建议修复
hawk 3.1.3 9.0.1 间接依赖 建议修复
shelljs 0.7.8 0.8.5 间接依赖 建议修复
codecov 3.0.0 3.7.1 直接依赖 建议修复
tar 2.2.1 4.4.18 间接依赖 建议修复
handlebars 4.0.10 4.7.7 间接依赖 建议修复
lodash 4.17.4 4.17.21 间接依赖 建议修复
diff 3.3.0 3.5.0 间接依赖 建议修复
merge 1.2.0 2.1.1 间接依赖 建议修复
axios 0.17.1 0.21.3 直接依赖 建议修复
deep-extend 0.4.1 0.5.1 间接依赖 建议修复
sshpk 1.13.1 1.14.1 间接依赖 建议修复
stringstream 0.0.5 0.0.6 间接依赖 可选修复
content-type-parser 1.0.1 间接依赖 可选修复
request 2.81.0 间接依赖 可选修复
yargs-parser 7.0.0 13.1.2 间接依赖 可选修复
got 6.7.1 11.8.5 间接依赖 可选修复
ajv 4.11.8 6.12.3 间接依赖 可选修复
follow-redirects 1.2.5 1.14.8 间接依赖 可选修复
fsevents 1.1.2 1.2.11 直接依赖 可选修复
eslint 3.19.0 4.18.2 间接依赖 可选修复
uglify-js 2.8.29 3.14.3 直接依赖 可选修复
istanbul-reports 1.1.1 3.1.3 间接依赖 可选修复
mem 1.1.0 4.0.0 间接依赖 可选修复
semver 5.3.0 7.5.2 间接依赖 可选修复
async 2.5.0 2.6.4 间接依赖 可选修复
nwmatcher 1.4.1 1.4.4 间接依赖 可选修复
hosted-git-info 2.4.2 2.8.9 间接依赖 可选修复
node-notifier 5.1.2 5.4.5 间接依赖 可选修复
semver 5.4.1 7.5.2 间接依赖 可选修复
braces 1.8.5 2.3.1 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 430
BSD-2-Clause 17
Apache-2.0 14
ISC 64
BSD-3-Clause 27
WTFPL 4
Unlicense 2
BSD 1
自定义许可证 1
Public Domain 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
has-flag 1.0.0 间接依赖 npm
is-my-json-valid 2.16.0 间接依赖 npm
jest-validate 21.2.1 间接依赖 npm
babel-traverse 6.25.0 间接依赖 npm
escope 3.6.0 间接依赖 npm
is-redirect 1.0.0 间接依赖 npm
is-retry-allowed 1.1.0 间接依赖 npm
validate-npm-package-license 3.0.1 间接依赖 npm
debug-log 1.0.1 间接依赖 npm
object.assign 4.0.4 间接依赖 npm
del 2.2.2 间接依赖 npm
jest-regex-util 21.2.0 间接依赖 npm
fstream 1.0.11 间接依赖 npm
punycode 1.4.1 间接依赖 npm
parse-glob 3.0.4 间接依赖 npm
yallist 2.1.2 间接依赖 npm
run-async 2.3.0 间接依赖 npm
semver-diff 2.1.0 间接依赖 npm
contains-path 0.1.0 间接依赖 npm
pinkie 2.0.4 间接依赖 npm
registry-url 3.1.0 间接依赖 npm
env-paths 1.0.0 间接依赖 npm
write 0.2.1 间接依赖 npm
jest-diff 21.2.1 间接依赖 npm
chalk 2.3.0 直接依赖 npm
acorn 4.0.13 间接依赖 npm
ansi-styles 3.1.0 间接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
esutils 2.0.2 间接依赖 npm
shelljs 0.7.8 间接依赖 npm
array-equal 1.0.0 间接依赖 npm
supports-color 4.1.0 间接依赖 npm
strip-json-comments 2.0.1 间接依赖 npm
is-installed-globally 0.1.0 间接依赖 npm
private 0.1.7 间接依赖 npm
invert-kv 1.0.0 间接依赖 npm
is-symbol 1.0.1 间接依赖 npm
wide-align 1.1.2 间接依赖 npm
makeerror 1.0.11 间接依赖 npm
source-map-support 0.4.15 间接依赖 npm
expect 21.2.1 间接依赖 npm
unzip-response 2.0.1 间接依赖 npm
json-parse-better-errors 1.0.1 间接依赖 npm
convert-source-map 1.5.0 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
read-pkg-up 1.0.1 间接依赖 npm
rc 1.2.1 间接依赖 npm
istanbul-lib-report 1.1.1 间接依赖 npm
babel-register 6.24.1 间接依赖 npm
watch 0.18.0 间接依赖 npm
glob-base 0.3.0 间接依赖 npm
hoek 2.16.3 间接依赖 npm
capture-stack-trace 1.0.0 间接依赖 npm
argparse 1.0.9 间接依赖 npm
array-unique 0.2.1 间接依赖 npm
term-size 1.2.0 间接依赖 npm
json-schema 0.2.3 间接依赖 npm
signal-exit 3.0.2 间接依赖 npm
istanbul-reports 1.1.1 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
eslint-plugin-node 4.2.3 间接依赖 npm
once 1.4.0 间接依赖 npm
user-home 2.0.0 间接依赖 npm
axios 0.17.1 直接依赖 npm
is-extendable 0.1.1 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
babel-messages 6.23.0 间接依赖 npm
acorn-globals 3.1.0 间接依赖 npm
tar-pack 3.4.0 间接依赖 npm
extglob 0.3.2 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
handlebars 4.0.10 间接依赖 npm
throat 4.1.0 间接依赖 npm
is-builtin-module 1.0.0 间接依赖 npm
jsdom 9.12.0 间接依赖 npm
preserve 0.2.0 间接依赖 npm
babel-plugin-jest-hoist 21.2.0 间接依赖 npm
wordwrap 1.0.0 间接依赖 npm
package-json 4.0.1 间接依赖 npm
figures 1.7.0 间接依赖 npm
shebang-regex 1.0.0 间接依赖 npm
nopt 4.0.1 间接依赖 npm
is-glob 2.0.1 间接依赖 npm
ms 2.0.0 间接依赖 npm
ini 1.3.4 间接依赖 npm
read-pkg-up 3.0.0 间接依赖 npm
color-name 1.1.2 间接依赖 npm
aproba 1.2.0 间接依赖 npm
is-path-in-cwd 1.0.0 间接依赖 npm
file-entry-cache 2.0.0 间接依赖 npm
combined-stream 1.0.5 间接依赖 npm
regex-cache 0.4.3 间接依赖 npm
mem 1.1.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
uglify-js 2.8.29 直接依赖 npm
loud-rejection 1.6.0 间接依赖 npm
has 1.0.1 间接依赖 npm
repeat-element 1.1.2 间接依赖 npm
tryit 1.0.3 间接依赖 npm
currently-unhandled 0.4.1 间接依赖 npm
gauge 2.7.4 间接依赖 npm
is-fullwidth-code-point 1.0.0 间接依赖 npm
babel-types 6.25.0 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
jest-message-util 21.2.1 间接依赖 npm
arrify 1.0.1 间接依赖 npm
amdefine 1.0.1 间接依赖 npm
osenv 0.1.4 间接依赖 npm
arr-diff 2.0.0 间接依赖 npm
require-uncached 1.0.3 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
timed-out 4.0.1 间接依赖 npm
html-encoding-sniffer 1.0.1 间接依赖 npm
node-int64 0.4.0 间接依赖 npm
inquirer 4.0.0 直接依赖 npm
minimist-options 3.0.2 间接依赖 npm
is-promise 2.1.0 间接依赖 npm
bser 2.0.0 间接依赖 npm
tweetnacl 0.14.5 直接依赖 npm
get-stream 3.0.0 间接依赖 npm
require-main-filename 1.0.1 间接依赖 npm
extend 3.0.1 间接依赖 npm
cli-boxes 1.0.0 间接依赖 npm
os-locale 2.1.0 间接依赖 npm
http-signature 1.1.1 间接依赖 npm
wrap-ansi 2.1.0 间接依赖 npm
xml-name-validator 2.0.1 间接依赖 npm
es-to-primitive 1.1.1 间接依赖 npm
external-editor 2.0.4 间接依赖 npm
source-map 0.2.0 直接依赖 npm
restore-cursor 1.0.1 间接依赖 npm
find-up 2.1.0 间接依赖 npm
webidl-conversions 3.0.1 间接依赖 npm
debug 2.6.9 间接依赖 npm
semver 5.3.0 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
jest-environment-node 21.2.1 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
sntp 1.0.9 间接依赖 npm
jest-config 21.2.1 间接依赖 npm
es5-ext 0.10.26 间接依赖 npm
async 2.5.0 间接依赖 npm
write-file-atomic 2.3.0 间接依赖 npm
asn1 0.2.3 间接依赖 npm
url-parse-lax 1.0.0 间接依赖 npm
define-properties 1.1.2 间接依赖 npm
symbol-tree 3.2.2 间接依赖 npm
eslint-plugin-import 2.2.0 间接依赖 npm
whatwg-encoding 1.0.1 间接依赖 npm
string_decoder 1.0.3 间接依赖 npm
source-map 0.5.6 间接依赖 npm
foreach 2.0.5 间接依赖 npm
optimist 0.6.1 间接依赖 npm
longest 1.0.1 间接依赖 npm
process-nextick-args 1.0.7 间接依赖 npm
error-ex 1.3.1 间接依赖 npm
global-dirs 0.1.1 间接依赖 npm
string-width 1.0.2 间接依赖 npm
which-module 2.0.0 间接依赖 npm
to-fast-properties 1.0.3 间接依赖 npm
eslint-plugin-promise 3.5.0 间接依赖 npm
strip-eof 1.0.0 间接依赖 npm
babel-runtime 6.25.0 间接依赖 npm
cli-cursor 2.1.0 间接依赖 npm
cssstyle 0.2.37 间接依赖 npm
lazy-cache 1.0.4 间接依赖 npm
is-dotfile 1.0.3 间接依赖 npm
got 6.7.1 间接依赖 npm
array-find-index 1.0.2 间接依赖 npm
array.prototype.find 2.0.4 间接依赖 npm
boxen 1.2.2 间接依赖 npm
async 1.5.2 间接依赖 npm
spdx-expression-parse 1.0.4 间接依赖 npm
tr46 0.0.3 间接依赖 npm
create-error-class 3.0.2 间接依赖 npm
json5 0.5.1 间接依赖 npm
number-is-nan 1.0.1 间接依赖 npm
errno 0.1.4 间接依赖 npm
inherits 2.0.1 间接依赖 npm
jest-docblock 21.2.0 间接依赖 npm
ansi-escapes 1.4.0 间接依赖 npm
urlgrey 0.4.4 间接依赖 npm
path-key 2.0.1 间接依赖 npm
debug 2.6.8 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
eslint-plugin-standard 3.0.1 间接依赖 npm
iconv-lite 0.4.18 间接依赖 npm
parse5 1.5.1 间接依赖 npm
decamelize-keys 1.1.0 间接依赖 npm
standard-engine 7.0.0 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
is-npm 1.0.0 间接依赖 npm
pkg-conf 2.0.0 间接依赖 npm
rx-lite-aggregates 4.0.8 间接依赖 npm
parse-json 2.2.0 间接依赖 npm
yargs-parser 7.0.0 间接依赖 npm
pify 3.0.0 间接依赖 npm
trim-right 1.0.1 间接依赖 npm
esquery 1.0.0 间接依赖 npm
jest-environment-jsdom 21.2.1 间接依赖 npm
jschardet 1.4.2 间接依赖 npm
merge 1.2.0 间接依赖 npm
is-property 1.0.2 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
inquirer 0.12.0 间接依赖 npm
read-pkg-up 2.0.0 间接依赖 npm
execa 0.8.0 直接依赖 npm
anymatch 1.3.2 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
es6-weak-map 2.0.2 间接依赖 npm
widest-line 1.0.0 间接依赖 npm
is-date-object 1.0.1 间接依赖 npm
jest-jasmine2 21.2.1 间接依赖 npm
babel-jest 21.2.0 间接依赖 npm
read-pkg 3.0.0 间接依赖 npm
builtin-modules 1.1.1 间接依赖 npm
conf 1.3.1 直接依赖 npm
glob-parent 2.0.0 间接依赖 npm
object-keys 1.0.11 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
is-equal-shallow 0.1.3 间接依赖 npm
detect-indent 4.0.0 间接依赖 npm
ansi-align 2.0.0 间接依赖 npm
delegates 1.0.0 间接依赖 npm
uuid 3.1.0 间接依赖 npm
es6-set 0.1.5 间接依赖 npm
supports-color 2.0.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
is-stream 1.1.0 间接依赖 npm
jsprim 1.4.1 间接依赖 npm
cryptiles 2.0.5 间接依赖 npm
diff 3.3.0 间接依赖 npm
normalize-package-data 2.3.6 间接依赖 npm
brace-expansion 1.1.7 间接依赖 npm
uniq 1.0.1 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
glob 7.1.2 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
rimraf 2.6.2 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
babel-template 6.25.0 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
wordwrap 0.0.2 间接依赖 npm
load-json-file 4.0.0 间接依赖 npm
slash 1.0.0 间接依赖 npm
align-text 0.1.4 间接依赖 npm
estraverse 1.9.3 间接依赖 npm
block-stream 0.0.9 间接依赖 npm
is-resolvable 1.0.0 间接依赖 npm
crypto-random-string 1.0.0 间接依赖 npm
resolve-from 1.0.1 间接依赖 npm
pkg-up 1.0.0 间接依赖 npm
inherits 2.0.3 间接依赖 npm
nwmatcher 1.4.1 间接依赖 npm
growly 1.3.0 间接依赖 npm
walker 1.0.7 间接依赖 npm
form-data 2.1.4 间接依赖 npm
mimic-fn 1.1.0 间接依赖 npm
es-abstract 1.8.0 间接依赖 npm
object.omit 2.0.1 间接依赖 npm
ansi-escapes 2.0.0 间接依赖 npm
is-obj 1.0.1 间接依赖 npm
js-yaml 3.9.1 间接依赖 npm
ansi-regex 3.0.0 间接依赖 npm
event-emitter 0.3.5 间接依赖 npm
acorn 5.1.1 间接依赖 npm
oauth-sign 0.8.2 间接依赖 npm
home-or-tmp 2.0.0 间接依赖 npm
istanbul-lib-instrument 1.7.4 间接依赖 npm
getpass 0.1.7 间接依赖 npm
d 1.0.0 间接依赖 npm
repeating 2.0.1 间接依赖 npm
registry-auth-token 3.1.2 间接依赖 npm
jest-mock 21.2.0 间接依赖 npm
is-buffer 1.1.5 间接依赖 npm
default-require-extensions 1.0.0 间接依赖 npm
browser-resolve 1.11.2 间接依赖 npm
qs 6.4.0 间接依赖 npm
globby 5.0.0 间接依赖 npm
jest-matcher-utils 21.2.1 间接依赖 npm
shebang-command 1.2.0 间接依赖 npm
cross-spawn 5.1.0 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
hosted-git-info 2.4.2 间接依赖 npm
jest 21.2.1 直接依赖 npm
babel-preset-jest 21.2.0 间接依赖 npm
deglob 2.1.0 间接依赖 npm
path-type 3.0.0 间接依赖 npm
run-async 0.1.0 间接依赖 npm
path-type 2.0.0 间接依赖 npm
is-plain-obj 1.1.0 间接依赖 npm
rx-lite 4.0.8 间接依赖 npm
pkg-dir 1.0.0 间接依赖 npm
prr 0.0.0 间接依赖 npm
jsonpointer 4.0.1 间接依赖 npm
mkdirp 0.5.1 间接依赖 npm
configstore 3.0.0 间接依赖 npm
babel-code-frame 6.22.0 间接依赖 npm
right-align 0.1.3 间接依赖 npm
progress 1.1.8 间接依赖 npm
har-validator 4.2.1 间接依赖 npm
parent-dirs 1.0.0 直接依赖 npm
flat-cache 1.2.2 间接依赖 npm
through 2.3.8 间接依赖 npm
pseudomap 1.0.2 间接依赖 npm
jest-resolve-dependencies 21.2.0 间接依赖 npm
deep-extend 0.4.1 间接依赖 npm
ansi-styles 3.2.0 间接依赖 npm
request 2.81.0 间接依赖 npm
istanbul-lib-hook 1.0.7 间接依赖 npm
has-unicode 2.0.1 间接依赖 npm
escodegen 1.8.1 间接依赖 npm
fileset 2.0.3 间接依赖 npm
es6-symbol 3.1.1 间接依赖 npm
jest-runtime 21.2.1 间接依赖 npm
is-callable 1.1.3 间接依赖 npm
isexe 2.0.0 间接依赖 npm
doctrine 1.5.0 间接依赖 npm
path-parse 1.0.5 间接依赖 npm
update-notifier 2.3.0 直接依赖 npm
strip-indent 2.0.0 间接依赖 npm
import-lazy 2.1.0 间接依赖 npm
path-is-inside 1.0.2 间接依赖 npm
graceful-fs 4.1.11 间接依赖 npm
babel-plugin-syntax-object-rest-spread 6.13.0 间接依赖 npm
levn 0.3.0 间接依赖 npm
js-tokens 3.0.2 间接依赖 npm
yargs 3.10.0 间接依赖 npm
run-parallel 1.1.6 间接依赖 npm
ci-info 1.0.0 间接依赖 npm
source-map 0.4.4 间接依赖 npm
rx-lite 3.1.2 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
is-posix-bracket 0.1.1 间接依赖 npm
har-schema 1.0.5 间接依赖 npm
has-flag 2.0.0 间接依赖 npm
expand-brackets 0.1.5 间接依赖 npm
make-dir 1.0.0 间接依赖 npm
test-exclude 4.1.1 间接依赖 npm
eslint-import-resolver-node 0.2.3 间接依赖 npm
is-regex 1.0.4 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
micromatch 2.3.11 间接依赖 npm
fb-watchman 2.0.0 间接依赖 npm
babel-core 6.25.0 间接依赖 npm
onetime 2.0.1 间接依赖 npm
function-bind 1.1.0 间接依赖 npm
jsesc 1.3.0 间接依赖 npm
remove-trailing-separator 1.0.2 间接依赖 npm
jest-snapshot 21.2.1 间接依赖 npm
uglify-to-browserify 1.0.2 直接依赖 npm
sane 2.2.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
cli-width 2.1.0 间接依赖 npm
lcid 1.0.0 间接依赖 npm
path-exists 2.1.0 间接依赖 npm
chalk 2.0.1 间接依赖 npm
cli-cursor 1.0.2 间接依赖 npm
caller-path 0.1.0 间接依赖 npm
callsites 0.2.0 间接依赖 npm
globals 9.18.0 间接依赖 npm
write-file-atomic 1.3.1 间接依赖 npm
is-ci 1.0.10 间接依赖 npm
babel-helpers 6.24.1 间接依赖 npm
quick-lru 1.1.0 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
es6-map 0.1.5 间接依赖 npm
shellwords 0.1.0 间接依赖 npm
whatwg-url 4.8.0 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
nan 2.7.0 间接依赖 npm
generate-function 2.0.0 间接依赖 npm
find-root 1.1.0 间接依赖 npm
webidl-conversions 4.0.1 间接依赖 npm
ansi-styles 2.2.1 间接依赖 npm
optionator 0.8.2 间接依赖 npm
which 1.3.0 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
astral-regex 1.0.0 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
invariant 2.2.2 间接依赖 npm
hawk 3.1.3 间接依赖 npm
esprima 4.0.0 间接依赖 npm
tmp 0.0.31 间接依赖 npm
jsx-ast-utils 1.4.1 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
are-we-there-yet 1.1.4 间接依赖 npm
standard 10.0.3 直接依赖 npm
ignore 3.3.3 间接依赖 npm
cliui 2.1.0 间接依赖 npm
npm-run-path 2.0.2 间接依赖 npm
brace-expansion 1.1.8 间接依赖 npm
eslint 3.19.0 间接依赖 npm
kind-of 3.2.2 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
sax 1.2.4 间接依赖 npm
eslint-module-utils 2.1.1 间接依赖 npm
pinkie-promise 2.0.1 间接依赖 npm
window-size 0.1.0 间接依赖 npm
camelcase-keys 4.2.0 间接依赖 npm
jest-changed-files 21.2.0 间接依赖 npm
string-width 2.1.1 间接依赖 npm
resolve 1.4.0 间接依赖 npm
meow 4.0.0 直接依赖 npm
is-extglob 1.0.0 间接依赖 npm
worker-farm 1.4.1 间接依赖 npm
console-control-strings 1.1.0 间接依赖 npm
mute-stream 0.0.7 间接依赖 npm
cssom 0.3.2 间接依赖 npm
abab 1.0.3 间接依赖 npm
dot-prop 4.1.1 间接依赖 npm
exit-hook 1.1.1 间接依赖 npm
eslint-config-standard 10.2.1 间接依赖 npm
co 4.6.0 间接依赖 npm
boom 2.10.1 间接依赖 npm
inquirer-autocomplete-prompt 0.12.0 直接依赖 npm
minimatch 3.0.3 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
ansi-escapes 3.0.0 间接依赖 npm
for-own 0.1.5 间接依赖 npm
ajv 4.11.8 间接依赖 npm
for-in 1.0.2 间接依赖 npm
minimist 1.2.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
content-type-parser 1.0.1 间接依赖 npm
string-length 2.0.0 间接依赖 npm
onetime 1.1.0 间接依赖 npm
exec-sh 0.2.0 间接依赖 npm
semver 5.4.1 间接依赖 npm
isarray 1.0.0 间接依赖 npm
xdg-basedir 3.0.0 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
locate-path 2.0.0 间接依赖 npm
lowercase-keys 1.0.0 间接依赖 npm
minimist 0.0.8 间接依赖 npm
is-path-cwd 1.0.0 间接依赖 npm
babel-plugin-istanbul 4.1.4 间接依赖 npm
rimraf 2.6.1 间接依赖 npm
get-caller-file 1.0.2 间接依赖 npm
slice-ansi 0.0.4 间接依赖 npm
aws4 1.6.0 间接依赖 npm
mime-types 2.1.16 间接依赖 npm
argv 0.0.2 间接依赖 npm
append-transform 0.4.0 间接依赖 npm
doctrine 2.0.0 间接依赖 npm
spdx-correct 1.0.2 间接依赖 npm
type-check 0.3.2 间接依赖 npm
jest-util 21.2.1 间接依赖 npm
p-locate 2.0.0 间接依赖 npm
strip-ansi 4.0.0 间接依赖 npm
sshpk 1.13.1 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
jest-resolve 21.2.0 间接依赖 npm
node-pre-gyp 0.6.38 间接依赖 npm
json-stable-stringify 1.0.1 间接依赖 npm
es6-iterator 2.0.1 间接依赖 npm
ajv-keywords 1.5.1 间接依赖 npm
pify 2.3.0 间接依赖 npm
follow-redirects 1.2.5 间接依赖 npm
restore-cursor 2.0.0 间接依赖 npm
trim-newlines 2.0.0 间接依赖 npm
spdx-license-ids 1.2.2 间接依赖 npm
istanbul-api 1.1.11 间接依赖 npm
readline2 1.0.1 间接依赖 npm
load-json-file 2.0.0 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
table 3.8.3 间接依赖 npm
npmlog 4.1.2 间接依赖 npm
leven 2.1.0 间接依赖 npm
istanbul-lib-source-maps 1.2.1 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
readable-stream 2.3.3 间接依赖 npm
expand-range 1.8.2 间接依赖 npm
duplexer3 0.1.4 间接依赖 npm
chalk 1.1.3 间接依赖 npm
indent-string 3.2.0 间接依赖 npm
normalize-path 2.1.1 间接依赖 npm
xtend 4.0.1 间接依赖 npm
center-align 0.1.3 间接依赖 npm
assert-plus 0.2.0 间接依赖 npm
lodash.cond 4.5.2 间接依赖 npm
fsevents 1.1.2 直接依赖 npm
circular-json 0.3.3 间接依赖 npm
core-js 2.5.0 间接依赖 npm
regenerator-runtime 0.10.5 间接依赖 npm
camelcase 4.1.0 间接依赖 npm
tough-cookie 2.3.2 间接依赖 npm
execa 0.7.0 间接依赖 npm
jest-runner 21.2.1 间接依赖 npm
rc 1.2.2 间接依赖 npm
filename-regex 2.0.1 间接依赖 npm
callsites 2.0.0 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
yargs 9.0.1 间接依赖 npm
acorn-jsx 3.0.1 间接依赖 npm
y18n 3.2.1 间接依赖 npm
braces 1.8.5 间接依赖 npm
jest-cli 21.2.1 间接依赖 npm
bcrypt-pbkdf 1.0.1 直接依赖 npm
eslint-plugin-react 6.10.3 间接依赖 npm
color-convert 1.9.0 间接依赖 npm
codecov 3.0.0 直接依赖 npm
is-path-inside 1.0.0 间接依赖 npm
babylon 6.17.4 间接依赖 npm
loose-envify 1.3.1 间接依赖 npm
string-width 2.0.0 间接依赖 npm
pretty-format 21.2.1 间接依赖 npm
figures 2.0.0 间接依赖 npm
mute-stream 0.0.5 间接依赖 npm
babel-generator 6.25.0 间接依赖 npm
safe-buffer 5.1.1 间接依赖 npm
redent 2.0.0 间接依赖 npm
stringstream 0.0.5 间接依赖 npm
cliui 3.2.0 间接依赖 npm
performance-now 0.2.0 间接依赖 npm
supports-color 3.2.3 间接依赖 npm
pkg-up 2.0.0 间接依赖 npm
is-fullwidth-code-point 2.0.0 间接依赖 npm
jest-haste-map 21.2.0 间接依赖 npm
safe-buffer 5.0.1 间接依赖 npm
fill-range 2.2.3 间接依赖 npm
pluralize 1.2.1 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
lodash 4.17.4 间接依赖 npm
inquirer 3.2.0 间接依赖 npm
esprima 2.7.3 间接依赖 npm
caseless 0.12.0 间接依赖 npm
verror 1.10.0 间接依赖 npm
acorn 3.3.0 间接依赖 npm
mime-db 1.29.0 间接依赖 npm
p-cancelable 0.3.0 间接依赖 npm
map-obj 2.0.0 间接依赖 npm
generate-object-property 1.2.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
node-notifier 5.1.2 间接依赖 npm
parse-json 4.0.0 间接依赖 npm
text-table 0.2.0 间接依赖 npm
balanced-match 0.4.2 间接依赖 npm
ecc-jsbn 0.1.1 直接依赖 npm
get-stdin 5.0.1 间接依赖 npm
concat-stream 1.6.0 间接依赖 npm
is-primitive 2.0.0 间接依赖 npm
tar 2.2.1 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
unique-string 1.0.0 间接依赖 npm
which 1.2.14 间接依赖 npm
fstream-ignore 1.0.5 间接依赖 npm
estraverse 4.2.0 间接依赖 npm
eslint-config-standard-jsx 4.0.2 间接依赖 npm
uid-number 0.0.6 间接依赖 npm
aws-sign2 0.6.0 间接依赖 npm
isstream 0.1.2 间接依赖 npm
pkg-config 1.1.1 间接依赖 npm
interpret 1.0.3 间接依赖 npm
camelcase 1.2.1 间接依赖 npm
prepend-http 1.0.4 间接依赖 npm
p-limit 1.1.0 间接依赖 npm
lru-cache 4.0.2 间接依赖 npm
util 0.10.3 间接依赖 npm
espree 3.5.0 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
resolve 1.1.7 间接依赖 npm
slide 1.1.6 间接依赖 npm
jsonify 0.0.0 间接依赖 npm
has-ansi 2.0.0 间接依赖 npm
istanbul-lib-coverage 1.1.1 间接依赖 npm
read-pkg 2.0.0 间接依赖 npm
iconv-lite 0.4.13 间接依赖 npm
esrecurse 4.2.0 间接依赖 npm
jest-get-type 21.2.0 间接依赖 npm
find-up 1.1.2 间接依赖 npm
latest-version 3.1.0 间接依赖 npm
(0)
上一篇 2023年11月5日
下一篇 2023年11月5日

相关推荐

  • hugeterry/CoordinatorTabLayout 软件分析报告

    基础信息 项目名称:hugeterry/CoordinatorTabLayout 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718700963320872960/1718700963367010304 此报告…

    软件分析 2023年10月30日
    0
  • ajeetdsouza/zoxide 软件分析报告

    基础信息 项目名称:ajeetdsouza/zoxide 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1746789865985048576/1746789914336985088 此报告由Murphysec提供…

    软件分析 2024年1月15日
    0
  • needim/noty 软件分析报告

    基础信息 项目名称:needim/noty 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1757244647947673600/1757244648081891328 此报告由Murphysec提供 漏洞列表 漏…

    软件分析 2024年2月13日
    0
  • bxcodec/go-clean-arch 软件分析报告

    基础信息 项目名称:bxcodec/go-clean-arch 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716503116747948032/1716503116798279680 此报告由Murphyse…

    软件分析 2023年10月24日
    0
  • BE-FE/iSlider 软件分析报告

    基础信息 项目名称:BE-FE/iSlider 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716275568495607808/1716275568579493888 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年10月23日
    0